/*
 * Rename LT Reference Object with .bmp suffix.
 */
options 'EXMODE'
'@echo off'

if arg() = 0 then exit

call RxFuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

dd = arg(1);
parse value dd with '"' dir '"'
if dir = '' then dir = dd;
wild = dir || '\*';
rc = SysFileTree(dir || '\*', 'files', 'O');
if rc \= 0 then do
   say 'Failed to search files in directory "' || dir || '"';
   exit 1
end

do i = 1 to files.0
   full = files.i

   rc = SysGetEa(full, '.CLASSINFO', 'cinfo');
   if rc = 0 & pos('LTReference', cinfo) \= 0 then do

      path = filespec('drive', full) || filespec('path', full);
      name = filespec('name', full);
      ppos = lastpos('.', name);
      if ppos > 0 then do
         base = left(name, ppos - 1);
         ext = translate(substr(name, ppos + 1));
      end
      else do
         base = name;
         ext = '';
      end
      if (ext = '') | (ext = 'JPG') | (ext = 'MAG') | (ext = 'MKI') ,
         | (ext = 'PI') | (ext = 'PIC') | (ext = 'P2') then do
          'ren "'full'" "'base'.BMP"'
      end
   end
end

exit 0;
